Bug 1488963 (CVE-2017-13750) - CVE-2017-13750 jasper: reachable assertion in jpc_dec_process_siz() - dec->numhtiles
Summary: CVE-2017-13750 jasper: reachable assertion in jpc_dec_process_siz() - dec->nu...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-13750
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1434464 1434465 1434467 1485280 1910585
Blocks: 1449402
TreeView+ depends on / blocked
 
Reported: 2017-09-06 13:59 UTC by Andrej Nemec
Modified: 2020-12-24 09:51 UTC (History)
18 users (show)

Fixed In Version: jasper 2.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-07 15:07:40 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-06 13:59:30 UTC
There is a reachable assertion abort in the function jpc_dec_process_siz() in jpc/jpc_dec.c:1296 in JasPer 2.0.12 that will lead to a denial of service attack.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1485280

Comment 1 Andrej Nemec 2017-09-06 14:06:23 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1434464]


Created mingw-jasper tracking bugs for this issue:

Affects: epel-7 [bug 1434465]
Affects: fedora-all [bug 1434467]

Comment 2 Tomas Hoger 2017-12-05 21:21:11 UTC
This issue, along with the related CVE-2017-13746 (bug 1488959) was now reported upstream via:

https://github.com/mdadams/jasper/issues/165

Note that the two assertions triggered in the jpc_dec_process_siz() function were only introduced in Jasper version 2.0.12 and hence these CVEs are not applicable to older versions.

Comment 4 Tomas Hoger 2020-12-11 14:21:34 UTC
Upstream commit:

https://github.com/jasper-software/jasper/commit/1b1c591306817e46e1e6a3300f714992b32f972b

Fixed upstream in jasper 2.0.17.


Note You need to log in before you can comment on or make changes to this bug.